### Hierarchy

- XmlAttributeComponent<IAnchorAttributes>
  - AnchorAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new AnchorAttributes(properties: IAnchorAttributes): AnchorAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: IAnchorAttributes

  #### Returns AnchorAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: IAnchorAttributes

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: IAnchorAttributes): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: IAnchorAttributes

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/drawing/anchor/anchor-attributes.ts:14

### allowOverlap

allowOverlap: string = "allowOverlap"

- Defined in file/drawing/anchor/anchor-attributes.ts:19

### behindDoc

behindDoc: string = "behindDoc"

- Defined in file/drawing/anchor/anchor-attributes.ts:20

### distB

distB: string = "distB"

- Defined in file/drawing/anchor/anchor-attributes.ts:16

### distL

distL: string = "distL"

- Defined in file/drawing/anchor/anchor-attributes.ts:17

### distR

distR: string = "distR"

- Defined in file/drawing/anchor/anchor-attributes.ts:18

### distT

distT: string = "distT"

- Defined in file/drawing/anchor/anchor-attributes.ts:15

### layoutInCell

layoutInCell: string = "layoutInCell"

- Defined in file/drawing/anchor/anchor-attributes.ts:21

### locked

locked: string = "locked"

- Defined in file/drawing/anchor/anchor-attributes.ts:22

### relativeHeight

relativeHeight: string = "relativeHeight"

- Defined in file/drawing/anchor/anchor-attributes.ts:23

### simplePos

simplePos: string = "simplePos"

- Defined in file/drawing/anchor/anchor-attributes.ts:24

Generated using TypeDoc